Name:           bournal
Version:        1.4.1
Release:        1%{?dist}
Summary:        Write personal, password-protected journal entries

Group:          Applications/Internet
License:        GPLv3+
URL:            http://becauseinter.net/bournal/
Source0:        http://becauseinter.net/bournal/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       ccrypt
Requires:       vim


%description
Bournal is a bash script that allows you to keep a personal,
minimalistic, password-protected journal, log, or diary. It
includes encryption, regexp searches, and a date-sorted list
for editing old entries. Since Bournal is pure bash, it should
be easily editable for the CLI-savvy.


%prep
%setup -q


%build
#nothing to build


%install
rm -rf %{buildroot}
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc changelog.txt LICENSE README
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}


%changelog
* Sat Feb 27 2010 Fabian Affolter <fabian@bernewireless.net> - 1.4.1-1
- Updated URL and source URL
- Updated to new upstream version 1.4.1 to fix #568440

* Sun Aug 02 2009 Fabian Affolter <fabian@bernewireless.net> - 1.3-2
- Removed all icons and desktop stuff

* Thu Mar 19 2009 Fabian Affolter <fabian@bernewireless.net> - 1.3-1
- Added icons
- Added .desktop file
- Removed nano, vim is enough
- Updated to new upstream version 1.3

* Wed Jan 20 2009 Fabian Affolter <fabian@bernewireless.net> - 1.2-1
- Initial spec for Fedora
